Loading...
Searching...
No Matches
buffer Struct Reference

## Data Fields

struct buffer_data * | head
struct buffer_data * | tail
size_t | size

## Field Documentation

## head

struct buffer_data* buffer::head

Referenced by buffer_add(), buffer_empty(), buffer_flush_all(), buffer_flush_available(), buffer_getstr(), buffer_reset(), and buffer_write().

## size

size_t buffer::size

Referenced by buffer_add(), buffer_new(), and buffer_put().

## tail

struct buffer_data* buffer::tail

Referenced by buffer_add(), buffer_flush_available(), buffer_put(), and buffer_reset().

The documentation for this struct was generated from the following file:

- src/vty/buffer.c